import { Module } from "@nestjs/common";
import { AboutSectionOneCmsService } from "./about-section-one-cms.service";
import { AboutSectionOneCmsController } from "./about-section-one-cms.controller";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { AboutSectionOneCmsSchema } from "./schema/about-section-one-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'about_section_one_cms', schema: AboutSectionOneCmsSchema }
        ]),
    ],
    controllers: [AboutSectionOneCmsController],
    providers: [AboutSectionOneCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AboutSectionOneCmsModule {}
