import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { AttentionAlertCmsSchema } from "./schema/attention-alert-cms.schema";
import { AttentionAlertCmsService } from "./attention-alert-cms.service";
import { AttentionAlertCmsController } from "./attention-alert-cms.controller";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'attention_alert_cms', schema: AttentionAlertCmsSchema }
        ]),
    ],
    controllers: [AttentionAlertCmsController],
    providers: [AttentionAlertCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AttentionAlertCmsModule {}
