import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { BlogSectionCmsService } from "./blog-section-cms.service";
import { UpdateBlogSectionCmsDto } from "./dto/update-blog-section-cms.dto";




@Controller({ path: "blog-section-cms", version: Constants.API_VERSION_1 })

export class BlogSectionCmsController {
    constructor(private readonly service: BlogSectionCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateBlogSectionCmsDto,
     
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
