import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { BlogSectionCmsController } from "./blog-section-cms.controller";
import { BlogSectionCmsSchema } from "./schema/blog-section-cms.schema";
import { BlogSectionCmsService } from "./blog-section-cms.service";





;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'blog-section-cms', schema: BlogSectionCmsSchema }
        ]),
    ],
    controllers: [BlogSectionCmsController],
    providers: [BlogSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class BlogSectionCmsModule {}
