import mongoose, { Model, Types } from 'mongoose';
import { BlogSectionCms } from './schema/blog-section-cms.schema';
import { UpdateBlogSectionCmsDto } from './dto/update-blog-section-cms.dto';






export class BlogSectionCmsRepository<BlogSectionCmsDocument extends BlogSectionCms> {
    constructor(private readonly model: Model<BlogSectionCmsDocument>) { }

    async createEntity(data: UpdateBlogSectionCmsDto): Promise<BlogSectionCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<BlogSectionCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateBlogSectionCmsDto): Promise<BlogSectionCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<BlogSectionCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<BlogSectionCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }
}