import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdateCategorySectionCmsDto } from "./dto/update-category-section-cms.dto";
import { CategorySectionCmsService } from "./category-section-cms.service";

@Controller({ path: "category-section-cms", version: Constants.API_VERSION_1 })

export class CategorySectionCmsController {
    constructor(private readonly service: CategorySectionCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCategorySectionCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
