import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CategorySectionCmsSchema } from "./schema/category-section-cms.schema";
import { CategorySectionCmsController } from "./category-section-cms.controller";
import { CategorySectionCmsService } from "./category-section-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'category_section_cms', schema: CategorySectionCmsSchema }
        ]),
    ],
    controllers: [CategorySectionCmsController],
    providers: [CategorySectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CategorySectionCmsModule {}
