import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CommonFormCmsSchema } from "./schema/common-form-cms.schema";
import { CommonFormCmsController } from "./common-form-cms.controller";
import { CommonFormCmsService } from "./common-form-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'common_form_cms', schema: CommonFormCmsSchema }
        ]),
    ],
    controllers: [CommonFormCmsController],
    providers: [CommonFormCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CommonFormCmsModule {}
