import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CommonFormSectionCmsService } from "./common-form-section-cms.service";
import { UpdateCommonFormSectionCmsDto } from "./dto/update-common-form-section-cms.dto";

@Controller({ path: "common-form-section-cms", version: Constants.API_VERSION_1 })

export class CommonFormSectionCmsController {
    constructor(private readonly service: CommonFormSectionCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCommonFormSectionCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
