import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CommonFormSectionCmsSchema } from "./schema/common-form-section-cms.schema";
import { CommonFormSectionCmsController } from "./common-form-section-cms.controller";
import { CommonFormSectionCmsService } from "./common-form-section-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'common_form_section_cms', schema: CommonFormSectionCmsSchema }
        ]),
    ],
    controllers: [CommonFormSectionCmsController],
    providers: [CommonFormSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CommonFormSectionCmsModule {}
