import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CommonVideoSectionCmsController } from "./common-video-section-cms.controller";
import { CommonVideoSectionCmsService } from "./common-video-section-cms.service";
import { CommonVideoSectionCmsSchema } from "./schema/common-video-section-cms.schema";

;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'common_video_section_cms', schema: CommonVideoSectionCmsSchema }
        ]),
    ],
    controllers: [CommonVideoSectionCmsController],
    providers: [CommonVideoSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CommonVideoSectionCmsModule {}
