import mongoose, { Model, Types } from 'mongoose';
import {  CommonVideoSectionCms } from './schema/common-video-section-cms.schema';
import { UpdateCommonVideoSectionCmsDto } from './dto/update-common-video-section-cms.dto';


export class CommonVideoSectionCmsRepository<CommonVideoSectionCmsDocument extends CommonVideoSectionCms> {
    constructor(private readonly model: Model<CommonVideoSectionCmsDocument>) { }

    async createEntity(data: UpdateCommonVideoSectionCmsDto): Promise<CommonVideoSectionCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<CommonVideoSectionCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateCommonVideoSectionCmsDto): Promise<CommonVideoSectionCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<CommonVideoSectionCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<CommonVideoSectionCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }
}