import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class ContactPageCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    address: string;

    @Prop({ default: null, nullable: true })
    addressText: string;

    @Prop({ default: null, nullable: true })
    contactNumber: string;

    @Prop({ default: null, nullable: true })
    contactText: string;

    @Prop({ default: null, nullable: true })
    emailText: string;

    @Prop({ default: null, nullable: true })
    email: string;

    @Prop({ default: null, nullable: true })
    mapUrl: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;
}

export const ContactPageCmsSchema = SchemaFactory.createForClass(ContactPageCms);