import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CtaOneSectionCmsController } from "./cta-one-section-cms.controller";
import { CtaOneSectionCmsSchema } from "./schema/cta-one-section-cms.schema";
import { CtaOneSectionCmsService } from "./cta-one-section-cms.service";



;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'cta-one-section-cms', schema: CtaOneSectionCmsSchema }
        ]),
    ],
    controllers: [CtaOneSectionCmsController],
    providers: [CtaOneSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CtaOneSectionCmsModule {}
