import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CtaThreeSectionCmsController } from "./cta-three-section-cms.controller";
import { CtaThreeSectionCmsService } from "./cta-three-section-cms.service";
import { CtaThreeSectionCmsSchema } from "./schema/cta-three-section-cms.schema";


;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'cta-three-section-cms', schema: CtaThreeSectionCmsSchema }
        ]),
    ],
    controllers: [CtaThreeSectionCmsController],
    providers: [CtaThreeSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CtaThreeSectionCmsModule {}
