import mongoose, { Model, Types } from 'mongoose';
import { CtaThreeSectionCms } from './schema/cta-three-section-cms.schema';
import { UpdateCtaThreeSectionCmsDto } from './dto/update-cta-three-section-cms.dto';




export class CtaThreeSectionCmsRepository<CtaThreeSectionCmsDocument extends CtaThreeSectionCms> {
    constructor(private readonly model: Model<CtaThreeSectionCmsDocument>) { }

    async createEntity(data: UpdateCtaThreeSectionCmsDto): Promise<CtaThreeSectionCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<CtaThreeSectionCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateCtaThreeSectionCmsDto): Promise<CtaThreeSectionCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<CtaThreeSectionCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<CtaThreeSectionCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }
}