import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UploadedMulterFileI } from "src/modules/SpacesModule/SpacesService";
import { Constants } from "src/utils/constants";
import { UpdateCtaTwoSectionCmsDto } from "./dto/update-cta-two-section-cms.dto";
import { CtaTwoSectionCmsService } from "./cta-two-section-cms.service";



@Controller({ path: "cta-two-section-cms", version: Constants.API_VERSION_1 })

export class CtaTwoSectionCmsController {
    constructor(private readonly service: CtaTwoSectionCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCtaTwoSectionCmsDto,
     
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
