import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CtaTwoSectionCmsSchema } from "./schema/cta-two-section-cms.schema";
import { CtaTwoSectionCmsController } from "./cta-two-section-cms.controller";
import { CtaTwoSectionCmsService } from "./cta-two-section-cms.service";




;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'cta-two-section-cms', schema: CtaTwoSectionCmsSchema }
        ]),
    ],
    controllers: [CtaTwoSectionCmsController],
    providers: [CtaTwoSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CtaTwoSectionCmsModule {}
