import mongoose, { Model, Types } from 'mongoose';
import { CtaTwoSectionCms } from './schema/cta-two-section-cms.schema';
import { UpdateCtaTwoSectionCmsDto } from './dto/update-cta-two-section-cms.dto';



export class CtaTwoSectionCmsRepository<CtaTwoSectionCmsDocument extends CtaTwoSectionCms> {
    constructor(private readonly model: Model<CtaTwoSectionCmsDocument>) { }

    async createEntity(data: UpdateCtaTwoSectionCmsDto): Promise<CtaTwoSectionCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<CtaTwoSectionCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateCtaTwoSectionCmsDto): Promise<CtaTwoSectionCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<CtaTwoSectionCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<CtaTwoSectionCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }
}