import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { FaqSectionCmsSchema } from "./schema/faq-section-cms.schema";
import { FaqSectionCmsController } from "./faq-section-cms.controller";
import { FaqSectionCmsService } from "./faq-section-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'faq_section_cms', schema: FaqSectionCmsSchema }
        ]),
    ],
    controllers: [FaqSectionCmsController],
    providers: [FaqSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class FaqSectionCmsModule {}
