import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class HeaderFooterCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    logo: string;
    
    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;

    @Prop({ default: null, nullable: true })
    description: string;

    
    @Prop({ default: null, nullable: true })
    copyrightText: string;

    @Prop({ default: null, nullable: true })
    newsletterText: string;
}

export const HeaderFooterCmsSchema = SchemaFactory.createForClass(HeaderFooterCms);