import { Module } from "@nestjs/common";
import { HomePageHeroCmsService } from "./home-page-hero-cms.service";
import { HomePageHeroCmsController } from "./home-page-hero-cms.controller";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { HomePageHeroCmsSchema } from "./schema/home-page-hero-cms.schema";
;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'home_page_hero_cms', schema: HomePageHeroCmsSchema }
        ]),
    ],
    controllers: [HomePageHeroCmsController],
    providers: [HomePageHeroCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageHeroSectionCmsModule {}
