import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class HomePageHeroCms extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    heading: string;

    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subtitle: string;

    @Prop({ default: null, nullable: true })
    description: string;

    @Prop({ default: null, nullable: true })
    ratingImage: string;

    @Prop({ default: null, nullable: true })
    ratingText: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;

    @Prop({ default: null, nullable: true })
    arrowImage: string;

    @Prop({ default: null, nullable: true })
    backgroundImage: string;
}

export const HomePageHeroCmsSchema = SchemaFactory.createForClass(HomePageHeroCms);