import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { HomePageSectionTwoCmsSchema } from "./schema/home-page-section-two-cms.schema";
import { HomePageSectionTwoCmsController } from "./home-page-section-two-cms.controller";
import { HomePageSectionTwoCmsService } from "./home-page-section-two-cms.service";

;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'home_page_section_two_cms', schema: HomePageSectionTwoCmsSchema }
        ]),
    ],
    controllers: [HomePageSectionTwoCmsController],
    providers: [HomePageSectionTwoCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageSectionTwoCmsModule {}
