import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { LegalPageCmsSchema } from "./schema/legal-page-cms.schema";
import { LegalPageCmsController } from "./legal-page-cms.controller";
import { LegalPageCmsService } from "./legal-page-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'legal_page_cms', schema: LegalPageCmsSchema }
        ])
    ],
    controllers: [LegalPageCmsController],
    providers: [LegalPageCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class LegalPageCmsModule {}
