import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { MetaDataCmsService } from "./meta-data-cms.service";
import { UpdateMetaDataCmsDto } from "./dto/update-meta-data-cms.dto";




@Controller({ path: "meta-data-cms", version: Constants.API_VERSION_1 })

export class MetaDataCmsController {
    constructor(private readonly service: MetaDataCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateMetaDataCmsDto,
     
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
