import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { MetaDataCmsController } from "./meta-data-cms.controller";
import { MetaDataCmsSchema } from "./schema/meta-data-cms.schema";
import { MetaDataCmsService } from "./meta-data-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'meta_data_cms', schema: MetaDataCmsSchema }
        ]),
    ],
    controllers: [MetaDataCmsController],
    providers: [MetaDataCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class MetaDataCmsModule {}
