import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class MetaDataCms extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    homePageDescription: string;

    @Prop({ default: null, nullable: true })
    homePageKeyword: string;

    @Prop({ default: null, nullable: true })
    aboutPageDescription: string;

    @Prop({ default: null, nullable: true })
    aboutPageKeyword: string;

    @Prop({ default: null, nullable: true })
    injuryCategoryPageDescription: string;

    @Prop({ default: null, nullable: true })
    injuryCategoryPageKeyword: string;

    @Prop({ default: null, nullable: true })
    contactPageDescription: string;

    @Prop({ default: null, nullable: true })
    contactPageKeyword: string;

    @Prop({ default: null, nullable: true })
    blogPageDescription: string;

    @Prop({ default: null, nullable: true })
    blogPageKeyword: string;

    @Prop({ default: null, nullable: true })
    blogDetailsPageDescription: string;

    @Prop({ default: null, nullable: true })
    blogDetailsPageKeyword: string;

    @Prop({ default: null, nullable: true })
    termsPageDescription: string;

    @Prop({ default: null, nullable: true })
    termsPageKeyword: string;

    @Prop({ default: null, nullable: true })
    privacyPageDescription: string;

    @Prop({ default: null, nullable: true })
    privacyPageKeyword: string;

    @Prop({ default: null, nullable: true })
    legalPageDescription: string;

    @Prop({ default: null, nullable: true })
    legalPageKeyword: string;

    @Prop({ default: null, nullable: true })
    videoPageDescription: string;

    @Prop({ default: null, nullable: true })
    videoPageKeyword: string;

    @Prop({ default: null, nullable: true })
    faqPageDescription: string;

    @Prop({ default: null, nullable: true })
    faqPageKeyword: string;
 
}

export const MetaDataCmsSchema = SchemaFactory.createForClass(MetaDataCms);