import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { FileFieldsInterceptor } from "@nestjs/platform-express";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UploadedMulterFileI } from "src/modules/SpacesModule/SpacesService";
import { Constants } from "src/utils/constants";
import { NewsletterSectionCmsService } from "./newsletter-section-cms.service";
import { UpdateNewsletterSectionCmsDto } from "./dto/update-newsletter-section-cms.dto";

@Controller({ path: "newsletter-section-cms", version: Constants.API_VERSION_1 })

export class NewsletterSectionCmsController {
    constructor(private readonly service: NewsletterSectionCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateNewsletterSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
