import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { NewsletterSectionCmsSchema } from "./schema/newsletter-section-cms.schema";
import { NewsletterSectionCmsService } from "./newsletter-section-cms.service";
import { NewsletterSectionCmsController } from "./newsletter-section-cms.controller";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'newsletter_section_cms', schema: NewsletterSectionCmsSchema }
        ]),
    ],
    controllers: [NewsletterSectionCmsController],
    providers: [NewsletterSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class NewsletterSectionCmsModule {}
