import { Module } from "@nestjs/common";
import { PageBannerCmsService } from "./page-banner-cms.service";
import { PageBannerCmsController } from "./page-banner-cms.controller";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { PageBannerCmsSchema } from "./schema/page-banner-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'page_banner_cms', schema: PageBannerCmsSchema }
        ]),
    ],
    controllers: [PageBannerCmsController],
    providers: [PageBannerCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PageBannerCmsModule {}
