import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { PageTitleCmsController } from "./page-title-cms.controller";
import { PageTitleCmsSchema } from "./schema/page-title-cms.schema";
import { PageTitleCmsService } from "./page-title-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'page_title_cms', schema: PageTitleCmsSchema }
        ]),
    ],
    controllers: [PageTitleCmsController],
    providers: [PageTitleCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PageTitleCmsModule {}
