import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { PrivacyPolicyPageCmsSchema } from "./schema/privacy-policy-page-cms-page-cms.schema";
import { PrivacyPolicyPageCmsController } from "./privacy-policy-page-cms.controller";
import { PrivacyPolicyPageCmsService } from "./privacy-policy-page-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'privacy_policy_page_cms', schema: PrivacyPolicyPageCmsSchema }
        ])
    ],
    controllers: [PrivacyPolicyPageCmsController],
    providers: [PrivacyPolicyPageCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PrivacyPolicyPageCmsModule {}
