import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { FileFieldsInterceptor } from "@nestjs/platform-express";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UploadedMulterFileI } from "src/modules/SpacesModule/SpacesService";
import { Constants } from "src/utils/constants";
import { RobotTextCmsService } from "./robot-text-cms.service";
import { UpdateRobotTextCmsDto } from "./dto/update-robot-text-cms.dto";

@Controller({ path: "robot-text-cms", version: Constants.API_VERSION_1 })

export class RobotTextCmsController {
    constructor(private readonly service: RobotTextCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    // @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateRobotTextCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
