import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { RobotTextCmsSchema } from "./schema/robot-text-cms.schema";
import { RobotTextCmsController } from "./robot-text-cms.controller";
import { RobotTextCmsService } from "./robot-text-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'robot_text_cms', schema: RobotTextCmsSchema }
        ])
    ],
    controllers: [RobotTextCmsController],
    providers: [RobotTextCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class RobotTextCmsModule {}
