import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { FileFieldsInterceptor } from "@nestjs/platform-express";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UploadedMulterFileI } from "src/modules/SpacesModule/SpacesService";
import { Constants } from "src/utils/constants";
import { SiteMapCmsService } from "./site-map-cms.service";
import { UpdateSiteMapCmsDto } from "./dto/update-site-map-cms.dto";

@Controller({ path: "site-map-cms", version: Constants.API_VERSION_1 })

export class SiteMapCmsController {
    constructor(private readonly service: SiteMapCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    // @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateSiteMapCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
