import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { SiteMapCmsSchema } from "./schema/site-map-cms.schema";
import { SiteMapCmsController } from "./site-map-cms.controller";
import { SiteMapCmsService } from "./site-map-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'site_map_cms', schema: SiteMapCmsSchema }
        ])
    ],
    controllers: [SiteMapCmsController],
    providers: [SiteMapCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class SiteMapCmsModule {}
