import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { SubmitFormSuccessCmsSchema } from "./schema/submit-form-success-cms.schema";
import { SubmitFormSuccessCmsController } from "./submit-form-success-cms.controller";
import { SubmitFormSuccessCmsService } from "./submit-form-success-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'submit_form_success_cms', schema: SubmitFormSuccessCmsSchema }
        ]),
    ],
    controllers: [SubmitFormSuccessCmsController],
    providers: [SubmitFormSuccessCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class SubmitFormSuccessCmsModule {}
