import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { FileFieldsInterceptor } from "@nestjs/platform-express";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UploadedMulterFileI } from "src/modules/SpacesModule/SpacesService";
import { Constants } from "src/utils/constants";
import { UpdateTermsConditionsPageCmsDto } from "./dto/update-terms-condition-page-cms.dto";
import { TermsConditionsPageCmsService } from "./terms-condition-page-cms.service";

@Controller({ path: "terms-condition-page-cms", version: Constants.API_VERSION_1 })

export class TermsConditionsPageCmsController {
    constructor(private readonly service: TermsConditionsPageCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateTermsConditionsPageCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
