import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { TermsConditionsPageCmsSchema } from "./schema/terms-condition-page-cms.schema";
import { TermsConditionsPageCmsController } from "./terms-condition-page-cms.controller";
import { TermsConditionsPageCmsService } from "./terms-condition-page-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'terms_condition_page_cms', schema: TermsConditionsPageCmsSchema }
        ])
    ],
    controllers: [TermsConditionsPageCmsController],
    providers: [TermsConditionsPageCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class TermsConditionsPageCmsModule {}
