import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { TestimonialSectionCmsService } from "./testimonial-section-cms.service";
import { UpdateTestimonialSectionCmsDto } from "./dto/update-testimonial-section-cms.dto";



@Controller({ path: "testimonial-section-cms", version: Constants.API_VERSION_1 })

export class TestimonialSectionCmsController {
    constructor(private readonly service: TestimonialSectionCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateTestimonialSectionCmsDto,
     
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
