import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { TestimonialSectionCmsController } from "./testimonial-section-cms.controller";
import { TestimonialSectionCmsSchema } from "./schema/testimonial-section-cms.schema";
import { TestimonialSectionCmsService } from "./testimonial-section-cms.service";




;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'testimonial-section-cms', schema: TestimonialSectionCmsSchema }
        ]),
    ],
    controllers: [TestimonialSectionCmsController],
    providers: [TestimonialSectionCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class TestimonialSectionCmsModule {}
