import mongoose, { Model, Types } from 'mongoose';
import { TestimonialSectionCms } from './schema/testimonial-section-cms.schema';
import { UpdateTestimonialSectionCmsDto } from './dto/update-testimonial-section-cms.dto';





export class TestimonialSectionCmsRepository<TestimonialSectionCmsDocument extends TestimonialSectionCms> {
    constructor(private readonly model: Model<TestimonialSectionCmsDocument>) { }

    async createEntity(data: UpdateTestimonialSectionCmsDto): Promise<TestimonialSectionCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<TestimonialSectionCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateTestimonialSectionCmsDto): Promise<TestimonialSectionCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<TestimonialSectionCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<TestimonialSectionCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }
}