import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { VideoTestimonialCmsController } from "./video-testimonial-cms.controller";
import { VideoTestimonialCmsSchema } from "./schema/video-testimonial-cms.schema";
import { VideoTestimonialCmsService } from "./video-testimonial-cms.service";


;

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'video_testimonial_cms', schema: VideoTestimonialCmsSchema }
        ]),
    ],
    controllers: [VideoTestimonialCmsController],
    providers: [VideoTestimonialCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class VideoTestimonialCmsModule {}
