import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class Blog extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    image: string;

    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    description: string;

    @Prop({ default: null, nullable: true, type: [Object] })
    relatedBlogs: Array<any>;

    @Prop({ default: null, nullable: true })
    slug: string;
}

export const BlogSchema = SchemaFactory.createForClass(Blog);