import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { CategoryDetailsSchema } from "./schema/category-details.schema";
import { CategoryDetailsController } from "./category-details.controller";
import { CategoryDetailsService } from "./category-details.service";
import { TypesOfInjuriesPageComponentUISchema } from "src/modules/ComponentUICMS/types-of-injuries-page-component-ui/schema/types-of-injuries-page-component-ui.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'category_details', schema: CategoryDetailsSchema },
            { name: 'types_of_injuries_page_component_ui', schema: TypesOfInjuriesPageComponentUISchema },
        ])
    ],
    controllers: [CategoryDetailsController],
    providers: [CategoryDetailsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CategoryDetailsModule {}
