import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class CategoryDetails extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    image: string;

    @Prop({ default: null, nullable: true })
    shortDescription: string;

    @Prop({ default: null, nullable: true })
    longDescription: string;

    @Prop({ default: null, nullable: true })
    slug: string;
    
}

export const CategoryDetailsSchema = SchemaFactory.createForClass(CategoryDetails);