import { Prop, Schema, SchemaFactory } from "@nestjs/mongoose";
import { AbstractDocument } from "src/core/abstract-entity";
import { SchemaTypes, Types } from "mongoose";

@Schema({ timestamps: true, id: true, versionKey: false })
export class ChangePasswordToken extends AbstractDocument {
    @Prop()
    email: string;

    @Prop()
    token: string;

    @Prop({ default: false })
    expired: boolean;
}

export const ChangePasswordTokenSchema = SchemaFactory.createForClass(ChangePasswordToken);