import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class CommonFormSubmit extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    firstName: string;

    @Prop({ default: null, nullable: true })
    lastName: string;

    @Prop({ default: null, nullable: true })
    email: string;

    @Prop({ default: null, nullable: true })
    contactNumber: string;
    
    @Prop({ default: null, nullable: true })
    message: string;

}

export const CommonFormSubmitSchema = SchemaFactory.createForClass(CommonFormSubmit);