import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { FaqSchema } from "./schema/faq.schema";
import { FaqController } from "./faq.controller";
import { FaqService } from "./faq.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'faq', schema: FaqSchema }
        ])
    ],
    controllers: [FaqController],
    providers: [FaqService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class FaqModule {}
