import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { NewsletterSubscriptionSchema } from "./schema/newsletter-subscription.schema";
import { NewsletterSubscriptionController } from "./newsletter-subscription.controller";
import { NewsletterSubscriptionService } from "./newsletter-subscription.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'newsletter_subscription', schema: NewsletterSubscriptionSchema }
        ])
    ],
    controllers: [NewsletterSubscriptionController],
    providers: [NewsletterSubscriptionService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class NewsletterSubscriptionModule {}
