import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { SocailLinksController } from "./social-links.controller";
import { SocialLinksService } from "./social-links.service";
import { SocialLinksSchema } from "./schema/social-links.schema";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'social-links', schema: SocialLinksSchema }
        ])
    ],
    controllers: [SocailLinksController],
    providers: [SocialLinksService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class SocialLinksModule {}
