import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class Testimonial extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    userImage: string;

    @Prop({ default: null, nullable: true })
    userTestimonial: string;

    @Prop({ default: null, nullable: true })
    userName: string;

    @Prop({ default: 0, nullable: true })
    ratingCount: number;
}

export const TestimonialSchema = SchemaFactory.createForClass(Testimonial);