import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { TestimonialSchema } from "./schema/testimonial.schema";
import { TestimonialController } from "./testimonial.controller";
import { TestimonialService } from "./testimonial.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'testimonial', schema: TestimonialSchema }
        ])
    ],
    controllers: [TestimonialController],
    providers: [TestimonialService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class TestimonialModule {}
