import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class VideoTestimonial extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    video: string;

    @Prop({ default: null, nullable: true })
    videoThumbnail: string;
    
    @Prop({ default: null, nullable: true })
    userImage: string;

    @Prop({ default: null, nullable: true })
    userName: string;

    @Prop({ default: 0, nullable: true })
    ratingCount: number;

    @Prop({ default: null, nullable: true })
    userTestimonial: string;

    @Prop({ default: null, nullable: true })
    platformIcon: string;

    @Prop({ default: null, nullable: true })
    platformName: string;

    @Prop({ default: null, nullable: true })
    postedOnText: string;

}

export const VideoTestimonialSchema = SchemaFactory.createForClass(VideoTestimonial);