import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UpdateAboutPageComponentUIDto } from "./dto/update-about-page-component-ui.dto";
import { AboutPageComponentUIService } from "./about-page-component-ui.service";

@Controller({ path: "about-page-component-ui", version: Constants.API_VERSION_1 })

export class HomePageComponentUIController {
    constructor(private readonly service: AboutPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateAboutPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
