import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { HomePageComponentUIController } from "./about-page-component-ui.controller";
import { UsersSchema } from "src/modules/CRUD/users/schema/users.schema";
import { AboutPageComponentUISchema } from "./schema/about-page-component-ui.schema";
import { AboutPageComponentUIService } from "./about-page-component-ui.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'about_page_component_ui', schema: AboutPageComponentUISchema },
        ]),
    ],
    controllers: [HomePageComponentUIController],
    providers: [AboutPageComponentUIService, JwtHelper]
})

export class AboutPageComponentUIModule { }
