import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { BlogDetailsPageComponentUIService } from "./blog-details-page-component-ui.service";
import { UpdateBlogDetailsPageComponentUIDto } from "./dto/update-blog-details-page-component-ui.dto";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";

@Controller({ path: "blog-details-page-component-ui", version: Constants.API_VERSION_1 })

export class BlogDetailsPageComponentUIController {
    constructor(private readonly service: BlogDetailsPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateBlogDetailsPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
