import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { BlogDetailsPageComponentUIController } from "./blog-details-page-component-ui.controller";
import { BlogDetailsPageComponentUIService } from "./blog-details-page-component-ui.service";
import { BlogDetailsPageComponentUISchema } from "./schema/blog-details-page-component-ui.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'blog_details_page_component_ui', schema: BlogDetailsPageComponentUISchema },
        ]),
    ],
    controllers: [BlogDetailsPageComponentUIController],
    providers: [BlogDetailsPageComponentUIService, JwtHelper]
})

export class BlogDetailsPageComponentUIModule { }
