import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { BlogPageComponentUIService } from "./blog-page-component-ui.service";
import { UpdateBlogPageComponentUIDto } from "./dto/update-blog-page-component-ui.dto";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";

@Controller({ path: "blog-page-component-ui", version: Constants.API_VERSION_1 })

export class BlogPageComponentUIController {
    constructor(private readonly service: BlogPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateBlogPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
