import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { BlogPageComponentUIController } from "./blog-page-component-ui.controller";
import { BlogPageComponentUIService } from "./blog-page-component-ui.service";
import { BlogPageComponentUISchema } from "./schema/blog-page-component-ui.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'blog_page_component_ui', schema: BlogPageComponentUISchema },
        ]),
    ],
    controllers: [BlogPageComponentUIController],
    providers: [BlogPageComponentUIService, JwtHelper]
})

export class BlogPageComponentUIModule { }
