import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { CommonComponentUIService } from "./common-component-ui.service";
import { UpdateCommonComponentUIDto } from "./dto/update-common-component-ui.dto";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";

@Controller({ path: "common-component-ui", version: Constants.API_VERSION_1 })

export class CommonComponentUIController {
    constructor(private readonly service: CommonComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateCommonComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
