import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { ContactPageComponentUIService } from "./contact-page-component-ui.service";
import { UpdateContactPageComponentUIDto } from "./dto/update-contact-page-component-ui.dto";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";

@Controller({ path: "contact-page-component-ui", version: Constants.API_VERSION_1 })

export class ContactPageComponentUIController {
    constructor(private readonly service: ContactPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateContactPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
