import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { ContactPageComponentUIController } from "./contact-page-component-ui.controller";
import { ContactPageComponentUIService } from "./contact-page-component-ui.service";
import { ContactPageComponentUISchema } from "./schema/contact-page-component-ui.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'contact_page_component_ui', schema: ContactPageComponentUISchema },
        ]),
    ],
    controllers: [ContactPageComponentUIController],
    providers: [ContactPageComponentUIService, JwtHelper]
})

export class ContactPageComponentUIModule { }
