import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { UpdateFaqPageComponentUIDto } from "./dto/update-faq-page-component-ui.dto";
import { FaqPageComponentUIService } from "./faq-page-component-ui.service";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";

@Controller({ path: "faq-page-component-ui", version: Constants.API_VERSION_1 })

export class FaqPageComponentUIController {
    constructor(private readonly service: FaqPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateFaqPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
