import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { FaqPageComponentUIController } from "./faq-page-component-ui.controller";
import { FaqPageComponentUIService } from "./faq-page-component-ui.service";
import { FaqPageComponentUISchema } from "./schema/faq-page-component-ui.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'faq_page_component_ui', schema: FaqPageComponentUISchema },
        ]),
    ],
    controllers: [FaqPageComponentUIController],
    providers: [FaqPageComponentUIService, JwtHelper]
})

export class FaqPageComponentUIModule { }
