import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { UpdateHomePageComponentUIDto } from "./dto/update-home-page-component-ui.dto";
import { HomePageComponentUIService } from "./home-page-component-ui.service";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";

@Controller({ path: "home-page-component-ui", version: Constants.API_VERSION_1 })

export class HomePageComponentUIController {
    constructor(private readonly service: HomePageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateHomePageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
