import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { HomePageComponentUIController } from "./home-page-component-ui.controller";
import { HomePageComponentUIService } from "./home-page-component-ui.service";
import { HomePageComponentUISchema } from "./schema/home-page-component-ui.schema";
import { UsersSchema } from "src/modules/CRUD/users/schema/users.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'home_page_component_ui', schema: HomePageComponentUISchema },
        ]),
    ],
    controllers: [HomePageComponentUIController],
    providers: [HomePageComponentUIService, JwtHelper]
})

export class HomePageComponentUIModule { }
