import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UpdateLegalPageComponentUIDto } from "./dto/update-legal-page-component-ui.dto";
import { LegalPageComponentUIService } from "./legal-page-component-ui.service";

@Controller({ path: "legal-page-component-ui", version: Constants.API_VERSION_1 })

export class LegalPageComponentUIController {
    constructor(private readonly service: LegalPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateLegalPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
