import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { LegalPageComponentUISchema } from "./schema/legal-page-component-ui.schema";
import { LegalPageComponentUIController } from "./legal-page-component-ui.controller";
import { LegalPageComponentUIService } from "./legal-page-component-ui.service";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'legal_page_component_ui', schema: LegalPageComponentUISchema },
        ]),
    ],
    controllers: [LegalPageComponentUIController],
    providers: [LegalPageComponentUIService, JwtHelper]
})

export class LegalPageComponentUIModule { }
