import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { UpdatePrivacyPolicyPageComponentUIDto } from "./dto/update-privacy-policy-page-component-ui.dto";
import { PrivacyPolicyPageComponentUIService } from "./privacy-policy-page-component-ui.service";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";

@Controller({ path: "privacy-policy-page-component-ui", version: Constants.API_VERSION_1 })

export class PrivacyPolicyPageComponentUIController {
    constructor(private readonly service: PrivacyPolicyPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdatePrivacyPolicyPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
