import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { PrivacyPolicyPageComponentUIController } from "./privacy-policy-page-component-ui.controller";
import { PrivacyPolicyPageComponentUIService } from "./privacy-policy-page-component-ui.service";
import { PrivacyPolicyPageComponentUISchema } from "./schema/privacy-policy-page-component-ui.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'privacy_policy_page_component_ui', schema: PrivacyPolicyPageComponentUISchema },
        ]),
    ],
    controllers: [PrivacyPolicyPageComponentUIController],
    providers: [PrivacyPolicyPageComponentUIService, JwtHelper]
})

export class PrivacyPolicyPageComponentUIModule { }
