import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdateTermsAndConditionPageComponentUIDto } from "./dto/update-terms-and-condition-page-component-ui.dto";
import { TermsAndConditionPageComponentUIService } from "./terms-and-condition-page-component-ui.service";


@Controller({ path: "terms-and-condition-page-component-ui", version: Constants.API_VERSION_1 })

export class TermsAndConditionPageComponentUIController {
    constructor(private readonly service: TermsAndConditionPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateTermsAndConditionPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
