import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { TermsAndConditionPageComponentUISchema } from "./schema/terms-and-condition-page-component-ui.schema";
import { TermsAndConditionPageComponentUIController } from "./terms-and-condition-page-component-ui.controller";
import { TermsAndConditionPageComponentUIService } from "./terms-and-condition-page-component-ui.service";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'terms_and_condition_page_component_ui', schema: TermsAndConditionPageComponentUISchema },
        ]),
    ],
    controllers: [TermsAndConditionPageComponentUIController],
    providers: [TermsAndConditionPageComponentUIService, JwtHelper]
})

export class TermsAndConditionPageComponentUIModule { }
