import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UpdateTypesOfInjuriesPageComponentUIDto } from "./dto/update-types-of-injuries-page-component-ui.dto";
import { TypesOfInjuriesPageComponentUIService } from "./types-of-injuries-page-component-ui.service";

@Controller({ path: "types-of-injuries-page-component-ui", version: Constants.API_VERSION_1 })

export class TypesOfInjuriesPageComponentUIController {
    constructor(private readonly service: TypesOfInjuriesPageComponentUIService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateTypesOfInjuriesPageComponentUIDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
