import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { TypesOfInjuriesPageComponentUISchema } from "./schema/types-of-injuries-page-component-ui.schema";
import { TypesOfInjuriesPageComponentUIController } from "./types-of-injuries-page-component-ui.controller";
import { TypesOfInjuriesPageComponentUIService } from "./types-of-injuries-page-component-ui.service";



@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'users', schema: UsersSchema },
            { name: 'types_of_injuries_page_component_ui', schema: TypesOfInjuriesPageComponentUISchema },
        ]),
    ],
    controllers: [TypesOfInjuriesPageComponentUIController],
    providers: [TypesOfInjuriesPageComponentUIService, JwtHelper]
})

export class TypesOfInjuriesPageComponentUIModule { }
