import { MailerService } from '@nestjs-modules/mailer';
import { HttpException, HttpStatus, Injectable } from '@nestjs/common';
import { Constants } from '../../utils/constants';
import { CreateMailSenderDto } from './dto/create-mail-sender.dto';
import { ResetPasswordMailDto } from './dto/create-reset-password-mail.dto';
import { CreateCommonContactFormMailSenderDto } from './dto/create-common-contact-form-mail.dto';

@Injectable()
export class MailSenderService {
    constructor(
        private readonly mailerService: MailerService,
    ) {
    }

    async commonContactFormMailSender(dto: CreateCommonContactFormMailSenderDto) {
        const { to, from, subject, template, companyEmail, companyNumber, companyAddress, customerName, customerNumber, customerEmail, customerMessage } = dto;
        const result = await this.mailerService
            .sendMail({
                to: to,
                bcc: ['neutrixtester@gmail.com'],
                from: from,
                subject: subject,
                template: template,
                context: {
                    companyEmail: companyEmail,
                    companyAddress: companyAddress,
                    companyNumber: companyNumber,
                    customerName: customerName,
                    customerNumber: customerNumber,
                    customerEmail: customerEmail,
                    customerMessage: customerMessage
                }
            })
            .catch((err) => {
                console.log("Error: ", err);
            });
        console.log({
            message: 'Mail sent to: ' + to
        });
        return {
            message: 'Mail sent to: ' + to
        };
    }
}
