import { Controller, Get, Param, Query } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { SiteFrontendService } from './site-frontend.service';

@Controller({
    path: 'site',
    version: Constants.API_VERSION_1,
})
export class SiteFrontendController {
    constructor(private readonly service: SiteFrontendService) { }

    @Get('/admin-dashboard')
    async getAdminDashboardData() {
        return await this.service.getAdminDashboardData();
    }

    @Get('/home-page')
    async getHomePageData() {
        return await this.service.getHomePageData();
    }

    @Get('/common-cms')
    async getCommonCMSData() {
        return await this.service.getCommonCMSData();
    }

    @Get('/video-testimonial')
    async getVideoPageData(@Query('page') pageParam?: string,
        @Query('limit') limitParam?: string) {
        return await this.service.getVideoPageData(pageParam, limitParam);
    }

    @Get('/faq-page')
    async getFaqPageData() {
        return await this.service.getFaqPageData();
    }
    @Get('/about-section-one-cms')
    async AboutPageSectionOneCms() {
        return await this.service.AboutPageSectionOneCms();
    }

    @Get('/terms-condition-page-cms')
    async TermsAndConditionPageCms() {
        return await this.service.TermsAndConditionPageCms();
    }
    @Get('/privacy-policy-page-cms')
    async PrivacyPolicyPageCms() {
        return await this.service.PrivacyPolicyPageCms();
    }
    @Get('/legal-page-cms')
    async LegalPageCms() {
        return await this.service.LegalPageCms();
    }
    @Get('/social-links')
    async SocialLinks() {
        return await this.service.SocialLinks();
    }
    @Get('/breadcrumb')
    async Breadcrumb() {
        return await this.service.Breadcrumb();
    }
    @Get('/categorySectionCMSData')
    async CategorySectionCMSData() {
        return await this.service.getCategorySectionCMSData();
    }

    @Get('/blog/:slug')
    getBlogDetailsData(@Param('slug') urlSlug: string) {
        return this.service.getBlogDetailsData(urlSlug);
    }
    @Get('/category/:slug')
    getCategoryData(@Param('slug') urlSlug: string) {
         
        return this.service.getCategoryData(urlSlug);
    }
}
