import * as moment from 'moment';
import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import { Constants } from 'src/utils/constants';
import { ResponseUtils } from 'src/utils/response.utils';
import { HomePageHeroCmsRepository } from '../CMS/home-page-hero-section/home-page-hero-cms.repository';
import { HomePageHeroCms } from '../CMS/home-page-hero-section/schema/home-page-hero-cms.schema';
import { HomePageSectionTwoCms } from '../CMS/home-page-section-two-cms/schema/home-page-section-two-cms.schema';
import { HomePageSectionTwoCmsRepository } from '../CMS/home-page-section-two-cms/home-page-section-two-cms.repository';
import { VideoTestimonialCms } from '../CMS/video-testimonial-cms/schema/video-testimonial-cms.schema';
import { VideoTestimonialCmsRepository } from '../CMS/video-testimonial-cms/video-testimonial-cms.repository';
import { CommonVideoSectionCmsRepository } from '../CMS/common-video-section-cms/common-video-section-cms.repository';
import { CommonVideoSectionCms } from '../CMS/common-video-section-cms/schema/common-video-section-cms.schema';
import { CtaOneSectionCms } from '../CMS/cta-one-section-cms/schema/cta-one-section-cms.schema';
import { CtaThreeSectionCms } from '../CMS/cta-three-section-cms/schema/cta-three-section-cms.schema';
import { CtaTwoSectionCms } from '../CMS/cta-two-section-cms/schema/cta-two-section-cms.schema';
import { CtaOneSectionCmsRepository } from '../CMS/cta-one-section-cms/cta-one-section-cms.repository';
import { CtaThreeSectionCmsRepository } from '../CMS/cta-three-section-cms/cta-three-section-cms.repository';
import { CtaTwoSectionCmsRepository } from '../CMS/cta-two-section-cms/cta-two-section-cms.repository';
import { CategorySectionCms } from '../CMS/category-section-cms/schema/category-section-cms.schema';
import { CategorySectionCmsRepository } from '../CMS/category-section-cms/category-section-cms.repository';
import { CommonFormCms } from '../CMS/common-form-cms/schema/common-form-cms.schema';
import { CommonFormCmsRepository } from '../CMS/common-form-cms/common-form-cms.repository';
import { CommonFormSectionCms } from '../CMS/common-form-section-cms/schema/common-form-section-cms.schema';
import { CommonFormSectionCmsRepository } from '../CMS/common-form-section-cms/common-form-section-cms.repository';
import { VideoTestimonial } from '../CRUD/video-testimonial/schema/video-testimonial.schema';
import { VideoTestimonialRepository } from '../CRUD/video-testimonial/video-testimonial.repository';
import { SubmitFormSuccessCms } from '../CMS/submit-form-success-cms/schema/submit-form-success-cms.schema';
import { SubmitFormSuccessCmsRepository } from '../CMS/submit-form-success-cms/submit-form-success-cms.repository';
import { NewsletterSectionCms } from '../CMS/newsletter-section-cms/schema/newsletter-section-cms.schema';
import { NewsletterSectionCmsRepository } from '../CMS/newsletter-section-cms/newsletter-section-cms.repository';
import { AttentionAlertCms } from '../CMS/attention-alert-cms/schema/attention-alert-cms.schema';
import { AttentionAlertCmsRepository } from '../CMS/attention-alert-cms/attention-alert-cms.repository';
import { TestimonialSectionCms } from '../CMS/testimonial-section-cms/schema/testimonial-section-cms.schema';
import { TestimonialSectionCmsRepository } from '../CMS/testimonial-section-cms/testimonial-section-cms.repository';
import { BlogSectionCms } from '../CMS/blog-section-cms/schema/blog-section-cms.schema';
import { BlogSectionCmsRepository } from '../CMS/blog-section-cms/blog-section-cms.repository';
import { FaqSectionCms } from '../CMS/faq-section-cms/schema/faq-section-cms.schema';
import { FaqSectionCmsRepository } from '../CMS/faq-section-cms/faq-section-cms.repository';
import { Faq } from '../CRUD/faq/schema/faq.schema';
import { FaqRepository } from '../CRUD/faq/faq.repository';
import { HeaderFooterCms } from '../CMS/header-footer-cms/schema/header-footer-cms.schema';
import { HeaderFooterCmsRepository } from '../CMS/header-footer-cms/header-footer-cms.repository';
import { AboutSectionOneCms } from '../CMS/about-section-one-cms/schema/about-section-one-cms.schema';
import { AboutSectionOneCmsRepository } from '../CMS/about-section-one-cms/about-section-one-cms.repository';
import { ContactPageCms } from '../CMS/contact-page-cms/schema/contact-page-cms.schema';
import { ContactPageCmsRepository } from '../CMS/contact-page-cms/contact-page-cms.repository';
import { Blog } from '../CRUD/blog/schema/blog.schema';
import { BlogRepository } from '../CRUD/blog/blog.repository';
import { TermsConditionsPageCms } from '../CMS/terms-condition-page-cms/schema/terms-condition-page-cms.schema';
import { TermsConditionsPageCmsRepository } from '../CMS/terms-condition-page-cms/terms-condition-page-cms.repository';
import { LegalPageCms } from '../CMS/legal-page-cms/schema/legal-page-cms.schema';
import { PrivacyPolicyPageCms } from '../CMS/privacy-policy-page-cms/schema/privacy-policy-page-cms-page-cms.schema';
import { PrivacyPolicyPageCmsRepository } from '../CMS/privacy-policy-page-cms/privacy-policy-page-cms.repository';
import { LegalPageCmsRepository } from '../CMS/legal-page-cms/legal-page-cms.repository';
import { SocialLinks } from '../CRUD/social-links/schema/social-links.schema';
import { SocialLinksRepository } from '../CRUD/social-links/social-links.repository';
import { Testimonial } from '../CRUD/testimonial/schema/testimonial.schema';
import { TestimonialRepository } from '../CRUD/testimonial/testimonial.repository';
import { CategoryDetails } from '../CRUD/category-details/schema/category-details.schema';
import { CategoryDetailsRepository } from '../CRUD/category-details/category-details.repository';
import { PageBannerCms } from '../CMS/page-banner-cms/schema/page-banner-cms.schema';
import { PageTitleCms } from '../CMS/page-title-cms/schema/page-title-cms.schema';
import { PageBannerCmsRepository } from '../CMS/page-banner-cms/page-banner-cms.repository';
import { PageTitleCmsRepository } from '../CMS/page-title-cms/page-title-cms.repository';
import { HomePageComponentUI } from '../ComponentUICMS/home-page-component-ui/schema/home-page-component-ui.schema';
import { HomePageComponentUIRepository } from '../ComponentUICMS/home-page-component-ui/home-page-component-ui.repository';
import { AboutPageComponentUI } from '../ComponentUICMS/about-page-component-ui/schema/about-page-component-ui.schema';
import { AboutPageComponentUIRepository } from '../ComponentUICMS/about-page-component-ui/about-page-component-ui.repository';
import { Contact } from '../CRUD/contact/schema/contact.schema';
import { CommonFormSubmit } from '../CRUD/common-form-submit/schema/common-form-submit.schema';
import { CommonFormSubmitRepository } from '../CRUD/common-form-submit/common-form-submit.repository';
import { ContactRepository } from '../CRUD/contact/contact.repository';
import { TermsAndConditionPageComponentUI } from '../ComponentUICMS/terms-and-condition-page-component-ui/schema/terms-and-condition-page-component-ui.schema';
import { TermsAndConditionPageComponentUIRepository } from '../ComponentUICMS/terms-and-condition-page-component-ui/terms-and-condition-page-component-ui.repository';
import { ContactPageComponentUI } from '../ComponentUICMS/contact-page-component-ui/schema/contact-page-component-ui.schema';
import { ContactPageComponentUIRepository } from '../ComponentUICMS/contact-page-component-ui/contact-page-component-ui.repository';
import { BlogPageComponentUI } from '../ComponentUICMS/blog-page-component-ui/schema/blog-page-component-ui.schema';
import { BlogPageComponentUIRepository } from '../ComponentUICMS/blog-page-component-ui/blog-page-component-ui.repository';
import { BlogDetailsPageComponentUI } from '../ComponentUICMS/blog-details-page-component-ui/schema/blog-details-page-component-ui.schema';
import { BlogDetailsPageComponentUIRepository } from '../ComponentUICMS/blog-details-page-component-ui/blog-details-page-component-ui.repository';
import { PrivacyPolicyPageComponentUI } from '../ComponentUICMS/privacy-policy-page-component-ui/schema/privacy-policy-page-component-ui.schema';
import { PrivacyPolicyPageComponentUIRepository } from '../ComponentUICMS/privacy-policy-page-component-ui/privacy-policy-page-component-ui.repository';
import { LegalPageComponentUI } from '../ComponentUICMS/legal-page-component-ui/schema/legal-page-component-ui.schema';
import { LegalPageComponentUIRepository } from '../ComponentUICMS/legal-page-component-ui/legal-page-component-ui.repository';
import { TypesOfInjuriesPageComponentUI } from '../ComponentUICMS/types-of-injuries-page-component-ui/schema/types-of-injuries-page-component-ui.schema';
import { TypesOfInjuriesPageComponentUIRepository } from '../ComponentUICMS/types-of-injuries-page-component-ui/types-of-injuries-page-component-ui.repository';
import { FaqPageComponentUI } from '../ComponentUICMS/faq-page-component-ui/schema/faq-page-component-ui.schema';
import { FaqPageComponentUIRepository } from '../ComponentUICMS/faq-page-component-ui/faq-page-component-ui.repository';
import { CommonComponentUI } from '../ComponentUICMS/common-component-ui/schema/common-component-ui.schema';
import { CommonComponentUIRepository } from '../ComponentUICMS/common-component-ui/common-component-ui.repository';
import { MetaDataCms } from '../CMS/meta-data-cms/schema/meta-data-cms.schema';
import { MetaDataCmsRepository } from '../CMS/meta-data-cms/meta-data-cms.repository';

@Injectable()
export class SiteFrontendService {
  constructor(
    @InjectModel('home_page_hero_cms')
    private readonly HomePageHeroSectionCmsModel: Model<HomePageHeroCms>,
    @InjectModel('home_page_section_two_cms')
    private readonly HomePageSectionTwoCmsModel: Model<HomePageSectionTwoCms>,
    @InjectModel('video_testimonial_cms')
    private readonly VideoTestimonialCmsModel: Model<VideoTestimonialCms>,
    @InjectModel('common_video_section_cms')
    private readonly CommonVideoSectionCmsModel: Model<CommonVideoSectionCms>,
    @InjectModel('cta-one-section-cms')
    private readonly CtaOneSectionCmsModel: Model<CtaOneSectionCms>,
    @InjectModel('cta-two-section-cms')
    private readonly CtaTwoSectionCmsModel: Model<CtaTwoSectionCms>,
    @InjectModel('cta-three-section-cms')
    private readonly CtaThreeSectionCmsModel: Model<CtaThreeSectionCms>,
    @InjectModel('category_section_cms')
    private readonly CategorySectionCmsModel: Model<CategorySectionCms>,
    @InjectModel('common_form_cms')
    private readonly CommonFormCmsModel: Model<CommonFormCms>,
    @InjectModel('common_form_section_cms')
    private readonly CommonFormSectionCmsModel: Model<CommonFormSectionCms>,
    @InjectModel('video_testimonial')
    private readonly VideoTestimonialCrudModel: Model<VideoTestimonial>,
    @InjectModel('submit_form_success_cms')
    private readonly SubmitFormSuccessCmsModel: Model<SubmitFormSuccessCms>,
    @InjectModel('newsletter_section_cms')
    private readonly NewsletterSectionCmsModel: Model<NewsletterSectionCms>,
    @InjectModel('attention_alert_cms')
    private readonly AttentionAlertCmsModel: Model<AttentionAlertCms>,
    @InjectModel('testimonial-section-cms')
    private readonly TestimonialSectionCmsModel: Model<TestimonialSectionCms>,
    @InjectModel('blog-section-cms')
    private readonly BlogSectionCmsModel: Model<BlogSectionCms>,
    @InjectModel('blog')
    private readonly BlogModel: Model<Blog>,
    @InjectModel('faq_section_cms')
    private readonly FaqSectionCmsModel: Model<FaqSectionCms>,
    @InjectModel('faq')
    private readonly FaqModel: Model<Faq>,
    @InjectModel('header_footer_cms')
    private readonly HeaderFooterCmsModel: Model<HeaderFooterCms>,
    @InjectModel('about_section_one_cms')
    private readonly AboutSectionOneCmsModel: Model<AboutSectionOneCms>,
    @InjectModel('contact_page_cms')
    private readonly ContactPageCmsModel: Model<ContactPageCms>,
    @InjectModel('terms_condition_page_cms')
    private readonly TermsConditionsPageCmsModel: Model<TermsConditionsPageCms>,
    @InjectModel('privacy_policy_page_cms')
    private readonly PrivacyPolicyPageCmsModel: Model<PrivacyPolicyPageCms>,
    @InjectModel('legal_page_cms')
    private readonly LegalPageCmsModel: Model<LegalPageCms>,
    @InjectModel('social-links')
    private readonly SocialLinksModel: Model<SocialLinks>,
    @InjectModel('testimonial')
    private readonly TestimonialModel: Model<Testimonial>,
    @InjectModel('category_details')
    private readonly CategoryDetailsModel: Model<CategoryDetails>,
    @InjectModel('page_title_cms')
    private readonly PageTitleModel: Model<PageTitleCms>,
    @InjectModel('page_banner_cms')
    private readonly PageBannerModel: Model<PageBannerCms>,
    @InjectModel('meta_data_cms')
    private readonly MetaDataModel: Model<MetaDataCms>,
    @InjectModel('home_page_component_ui')
    private readonly HomePageBannerModel: Model<HomePageComponentUI>,
    @InjectModel('about_page_component_ui')
    private readonly AboutPageModel: Model<AboutPageComponentUI>,
    @InjectModel('contact')
    private readonly ContactModel: Model<Contact>,
    @InjectModel('common-form-submit')
    private readonly CommonFormSubmitModel: Model<CommonFormSubmit>,
    @InjectModel('terms_and_condition_page_component_ui')
    private readonly TermsAndConditionPageModel: Model<TermsAndConditionPageComponentUI>,
    @InjectModel('contact_page_component_ui')
    private readonly ContactPageComponentUIModel: Model<ContactPageComponentUI>,
    @InjectModel('blog_page_component_ui')
    private readonly BlogPageComponentUIModel: Model<BlogPageComponentUI>,
    @InjectModel('blog_details_page_component_ui')
    private readonly BlogDetailsPageComponentUIModel: Model<BlogDetailsPageComponentUI>,
    @InjectModel('privacy_policy_page_component_ui')
    private readonly PrivacyPolicyPageComponentUIModel: Model<PrivacyPolicyPageComponentUI>,
    @InjectModel('legal_page_component_ui')
    private readonly LegalPageComponentUIModel: Model<LegalPageComponentUI>,
    @InjectModel('types_of_injuries_page_component_ui')
    private readonly TypesOfInjuriesPageComponentUIModel: Model<TypesOfInjuriesPageComponentUI>,
    @InjectModel('faq_page_component_ui')
    private readonly FaqPageComponentUIModel: Model<FaqPageComponentUI>,
    @InjectModel('common_component_ui')
    private readonly CommonComponentUIModel: Model<CommonComponentUI>,


  ) { }
  private readonly HomePageHeroCmsRepository = new HomePageHeroCmsRepository(
    this.HomePageHeroSectionCmsModel,
  );
  private readonly HomePageSectionTwoCmsRepository =
    new HomePageSectionTwoCmsRepository(this.HomePageSectionTwoCmsModel);

  private readonly VideoTestimonialCmsRepository =
    new VideoTestimonialCmsRepository(this.VideoTestimonialCmsModel);

  private readonly CommonVideoSectionCmsRepository =
    new CommonVideoSectionCmsRepository(this.CommonVideoSectionCmsModel);

  private readonly CtaOneSectionCmsRepository = new CtaOneSectionCmsRepository(
    this.CtaOneSectionCmsModel,
  );

  private readonly CtaTwoSectionCmsRepository = new CtaTwoSectionCmsRepository(
    this.CtaTwoSectionCmsModel,
  );

  private readonly CtaThreeSectionCmsRepository =
    new CtaThreeSectionCmsRepository(this.CtaThreeSectionCmsModel);

  private readonly CategorySectionCmsRepository =
    new CategorySectionCmsRepository(this.CategorySectionCmsModel);
  private readonly CommonFormCmsRepository = new CommonFormCmsRepository(
    this.CommonFormCmsModel,
  );
  private readonly CommonFormSectionCmsRepository =
    new CommonFormSectionCmsRepository(this.CommonFormSectionCmsModel);

  private readonly VideoTestimonialRepository = new VideoTestimonialRepository(
    this.VideoTestimonialCrudModel,
  );

  private readonly SubmitFormSuccessCmsRepository =
    new SubmitFormSuccessCmsRepository(this.SubmitFormSuccessCmsModel);

  private readonly NewsletterSectionCmsRepository =
    new NewsletterSectionCmsRepository(this.NewsletterSectionCmsModel);

  private readonly AttentionAlertCmsRepository =
    new AttentionAlertCmsRepository(this.AttentionAlertCmsModel);

  private readonly FaqSectionCmsRepository = new FaqSectionCmsRepository(
    this.FaqSectionCmsModel,
  );

  private readonly FaqRepository = new FaqRepository(this.FaqModel);

  private readonly TestimonialSectionCmsRepository =
    new TestimonialSectionCmsRepository(this.TestimonialSectionCmsModel);

  private readonly BlogSectionCmsRepository = new BlogSectionCmsRepository(
    this.BlogSectionCmsModel);

  private readonly HeaderFooterCmsRepository = new HeaderFooterCmsRepository(
    this.HeaderFooterCmsModel,
  );
  private readonly AboutSectionOneCmsRepository = new AboutSectionOneCmsRepository(
    this.AboutSectionOneCmsModel,
  );
  private readonly ContactPageCmsRepository = new ContactPageCmsRepository(
    this.ContactPageCmsModel,
  );
  private readonly BlogRepository = new BlogRepository(
    this.BlogModel,
  );
  private readonly TermsConditionsPageCmsRepository = new TermsConditionsPageCmsRepository(
    this.TermsConditionsPageCmsModel,
  );
  private readonly PrivacyPolicyPageCmsRepository = new PrivacyPolicyPageCmsRepository(
    this.PrivacyPolicyPageCmsModel,
  );
  private readonly LegalPageCmsRepository = new LegalPageCmsRepository(
    this.LegalPageCmsModel,
  );
  private readonly SocialLinksRepository = new SocialLinksRepository(
    this.SocialLinksModel,
  );
  private readonly PageTitleCmsRepository = new PageTitleCmsRepository(
    this.PageTitleModel,
  );
  private readonly PageBannerCmsRepository = new PageBannerCmsRepository(
    this.PageBannerModel,
  );
  private readonly MetaDataCmsRepository = new MetaDataCmsRepository(
    this.MetaDataModel,
  );
  private readonly TestimonialRepository = new TestimonialRepository(
    this.TestimonialModel,
  );
  private readonly CategoryDetailsRepository = new CategoryDetailsRepository(
    this.CategoryDetailsModel,
  );
  private readonly HomePageComponentUIRepository = new HomePageComponentUIRepository(
    this.HomePageBannerModel,
  );
  private readonly AboutPageComponentUIRepository = new AboutPageComponentUIRepository(
    this.AboutPageModel,
  )
  private readonly ContactRepository = new ContactRepository(
    this.ContactModel,
  );
  private readonly CommonFormSubmitRepository = new CommonFormSubmitRepository(
    this.CommonFormSubmitModel,
  );
  private readonly TermsAndConditionPageComponentUIRepository = new TermsAndConditionPageComponentUIRepository(
    this.TermsAndConditionPageModel,
  );
  private readonly ContactPageComponentUIRepository = new ContactPageComponentUIRepository(
    this.ContactPageComponentUIModel,
  );
  private readonly BlogPageComponentUIRepository = new BlogPageComponentUIRepository(
    this.BlogPageComponentUIModel,
  );
  private readonly BlogDetailsPageComponentUIRepository = new BlogDetailsPageComponentUIRepository(
    this.BlogDetailsPageComponentUIModel,
  );
  private readonly PrivacyPolicyPageComponentUIRepository = new PrivacyPolicyPageComponentUIRepository(
    this.PrivacyPolicyPageComponentUIModel,
  );
  private readonly LegalPageComponentUIRepository = new LegalPageComponentUIRepository(
    this.LegalPageComponentUIModel,
  );
  private readonly TypesOfInjuriesPageComponentUIRepository = new TypesOfInjuriesPageComponentUIRepository(
    this.TypesOfInjuriesPageComponentUIModel,
  );
  private readonly FaqPageComponentUIRepository = new FaqPageComponentUIRepository(
    this.FaqPageComponentUIModel,
  );
  private readonly CommonComponentUIRepository = new CommonComponentUIRepository(
    this.CommonComponentUIModel,
  );

  async getHomePageData(): Promise<any | Error> {
    const homeHeroSectionCMSData =
      await this.HomePageHeroCmsRepository.findAll();

    const homePageSectionTwoCMSData =
      await this.HomePageSectionTwoCmsRepository.findAll();

    const TestimonialData =
      await this.TestimonialRepository.findAll();

    const CategoryDetailsData =
      await this.CategoryDetailsRepository.findAll();

    const HomePageComponentUIData =
      await this.HomePageComponentUIRepository.findAll();




    const data = {
      homeHeroSectionCMSData: homeHeroSectionCMSData[0],
      homePageSectionTwoCMSData: homePageSectionTwoCMSData[0],
      testimonialData: TestimonialData,
      categoryDetailsData: CategoryDetailsData,
      HomePageComponentUIData: HomePageComponentUIData[0],


    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }
  async AboutPageSectionOneCms(): Promise<any | Error> {
    const AboutSectionOneCmsData =
      await this.AboutSectionOneCmsRepository.findAll();
    const AboutPageComponentUIData =
      await this.AboutPageComponentUIRepository.findAll();



    const data = {
      AboutSectionOneCmsData: AboutSectionOneCmsData[0],
      AboutPageComponentUIData: AboutPageComponentUIData[0],

    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }
  async SocialLinks(): Promise<any | Error> {
    const SocialLinksData =
      await this.SocialLinksRepository.findAll();

    const data = {
      SocialLinksData: SocialLinksData,

    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }

  async Breadcrumb(): Promise<any | Error> {
    const PageTitleCmsData =
      await this.PageTitleCmsRepository.findAll();

    const PageBannerCmsData =
      await this.PageBannerCmsRepository.findAll();

    const MetaDataCmsData =
      await this.MetaDataCmsRepository.findAll();

    const data = {
      PageTitleCmsData: PageTitleCmsData,
      PageBannerCmsData: PageBannerCmsData,
      MetaDataCmsData: MetaDataCmsData,
    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }

  async TermsAndConditionPageCms(): Promise<any | Error> {
    const TermsConditionsPageCmsData =
      await this.TermsConditionsPageCmsRepository.findAll();
    const TermsAndConditionPageComponentUIData =
      await this.TermsAndConditionPageComponentUIRepository.findAll();



    const data = {
      TermsConditionsPageCmsData: TermsConditionsPageCmsData[0],
      TermsAndConditionPageComponentUIData: TermsAndConditionPageComponentUIData[0],

    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }
  async PrivacyPolicyPageCms(): Promise<any | Error> {
    const PrivacyPolicyPageCmsData =
      await this.PrivacyPolicyPageCmsRepository.findAll();
    const PrivacyPolicyPageComponentUIData =
      await this.PrivacyPolicyPageComponentUIRepository.findAll();



    const data = {
      PrivacyPolicyPageCmsData: PrivacyPolicyPageCmsData[0],
      PrivacyPolicyPageComponentUIData: PrivacyPolicyPageComponentUIData[0],

    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }
  async LegalPageCms(): Promise<any | Error> {
    const LegalPageCmsData =
      await this.LegalPageCmsRepository.findAll();
    const LegalPageComponentUIData =
      await this.LegalPageComponentUIRepository.findAll();



    const data = {
      LegalPageCmsData: LegalPageCmsData[0],
      LegalPageComponentUIData: LegalPageComponentUIData[0],

    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }

  async getCommonCMSData(): Promise<any | Error> {
    const commonFormCmsCMSData = await this.CommonFormCmsRepository.findAll();
    const commonFormSectionCmsData =
      await this.CommonFormSectionCmsRepository.findAll();
    const SubmitFormSuccessCmsData =
      await this.SubmitFormSuccessCmsRepository.findAll();
    const commonVideoSectionCMSData =
      await this.CommonVideoSectionCmsRepository.findAll();
    const videoTestimonialCMSData =
      await this.VideoTestimonialCmsRepository.findAll();

    const videoTestimonialCRUDData =
      await this.VideoTestimonialRepository.findAll();

    const ctaOneSectionCMSData =
      await this.CtaOneSectionCmsRepository.findAll();

    const ctaTwoSectionCMSData =
      await this.CtaTwoSectionCmsRepository.findAll();

    const ctaThreeSectionCMSData =
      await this.CtaThreeSectionCmsRepository.findAll();

    const newsletterSectionCmsData =
      await this.NewsletterSectionCmsRepository.findAll();

    const attentionAlertCmsData =
      await this.AttentionAlertCmsRepository.findAll();
    const testimonialSectionCMSData =
      await this.TestimonialSectionCmsRepository.findAll();

    const blogSectionCMSData = await this.BlogSectionCmsRepository.findAll();

    const blogPageComponentUIData = await this.BlogPageComponentUIRepository.findAll();

    const blogData = await this.BlogRepository.findAll();

    const faqSectionCMSData = await this.FaqSectionCmsRepository.findAll();

    const faqData = await this.FaqRepository.findAll();

    const categorySectionCMSData =
      await this.CategorySectionCmsRepository.findAll();


    const ContactPageCmsData =
      await this.ContactPageCmsRepository.findAll();

    const ContactPageComponentUIData =
      await this.ContactPageComponentUIRepository.findAll();

    const headerFooterCmsData =
      await this.HeaderFooterCmsRepository.findAll();

    const CategoryDetailsData =
      await this.CategoryDetailsRepository.findAll();
    const CommonComponentUIData =
      await this.CommonComponentUIRepository.findAll();





    const data = {
      commonFormCmsCMSData: commonFormCmsCMSData[0],
      commonFormSectionCmsData: commonFormSectionCmsData[0],
      SubmitFormSuccessCmsData: SubmitFormSuccessCmsData[0],
      commonVideoSectionCMSData: commonVideoSectionCMSData[0],
      videoTestimonialCMSData: videoTestimonialCMSData[0],
      videoTestimonialCRUDData: videoTestimonialCRUDData,
      ctaOneSectionCMSData: ctaOneSectionCMSData[0],
      ctaTwoSectionCMSData: ctaTwoSectionCMSData[0],
      ctaThreeSectionCMSData: ctaThreeSectionCMSData[0],
      newsletterSectionCmsData: newsletterSectionCmsData[0],
      attentionAlertCmsData: attentionAlertCmsData[0],
      testimonialSectionCMSData: testimonialSectionCMSData[0],
      blogSectionCMSData: blogSectionCMSData[0],
      blogPageComponentUIData: blogPageComponentUIData[0],
      blogData: blogData,
      faqSectionCMSData: faqSectionCMSData[0],
      faqData: faqData,
      categorySectionCMSData: categorySectionCMSData[0],
      ContactPageCmsData: ContactPageCmsData[0],
      ContactPageComponentUIData: ContactPageComponentUIData[0],
      headerFooterCmsData: headerFooterCmsData[0],
      CategoryDetailsData: CategoryDetailsData,
      CommonComponentUIData: CommonComponentUIData[0],
    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }

  async getVideoPageData(pageParam?: string, limitParam?: string): Promise<any | Error> {
    const page = parseInt(pageParam, 10) ? parseInt(pageParam, 10) : 1;
    const limit = parseInt(limitParam, 10) ? parseInt(limitParam, 10) : 10;
    const videoTestimonialCRUDData = await this.VideoTestimonialRepository.paginate(page, limit);
    // const videoTestimonialCRUDData =
    //   await this.VideoTestimonialRepository.findAll();

    const data = {
      videoTestimonialCRUDData: videoTestimonialCRUDData,
    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }

  async getFaqPageData(): Promise<any | Error> {
    const faqCMSData = await this.FaqSectionCmsRepository.findAll();
    const faqPageComponentUIData = await this.FaqPageComponentUIRepository.findAll();

    const faq = await this.FaqRepository.findAll();

    const data = {
      faqCMSData: faqCMSData,
      faq: faq,
      faqPageComponentUIData: faqPageComponentUIData[0],
    };

    return ResponseUtils.successResponseHandler(
      200,
      'Data fetched successfully',
      'data',
      data,
    );
  }

  async getBlogDetailsData(urlSlug: string): Promise<any | Error> {
    const blogDetails = await this.BlogRepository.findOneByFilterQuery({ slug: urlSlug });
    const BlogDetailsPageComponentUIData =
      await this.BlogDetailsPageComponentUIRepository.findAll();
    if (!blogDetails) {
      throw new NotFoundException(
        Constants.NOT_FOUND
      );
    }

    const data = {
      blogDetails: blogDetails,
      blogDetailsPageComponentUIData: BlogDetailsPageComponentUIData[0]
    }

    return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
  }


  async getCategoryData(urlSlug: string): Promise<any | Error> {

    const CategoryDetail = await this.CategoryDetailsRepository.findOneByFilterQuery({ slug: urlSlug });

    if (!CategoryDetail) {
      throw new NotFoundException(
        Constants.NOT_FOUND
      );
    }

    const data = {
      CategoryDetail: CategoryDetail,
    }

    return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
  }



  async getCategorySectionCMSData(): Promise<any | Error> {

    const typesOfInjuriesPageComponentUI =
      await this.TypesOfInjuriesPageComponentUIRepository.findAll();


    const data = {

      typesOfInjuriesPageComponentUI: typesOfInjuriesPageComponentUI[0]
    }

    return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
  }

  async getAdminDashboardData(): Promise<any | Error> {
    const totalContact = await this.ContactRepository.countAllQuery();
    const totalBlog = await this.BlogRepository.countAllQuery();
    const totalInjuryContact = await this.CommonFormSubmitRepository.countAllQuery();
    const totalVideoTestimonial = await this.VideoTestimonialRepository.countAllQuery();
    const monthWiseInjuryContactCount = await this.CommonFormSubmitRepository.countCompletedDocumentsByMonth();


    const currentYear = moment().year();
    const startOfYear = moment({ year: currentYear, month: 0, day: 1 });
    const endOfYear = moment({ year: currentYear, month: 11, day: 31 });

    // const monthWiseAgentCount = [];

    // for (let month = 0; month <= 11; month++) {
    //     const startOfMonth = startOfYear.clone().month(month);
    //     const endOfMonth = startOfMonth.clone().endOf('month');

    //     const count = await this.usersRepository.countDocumentsByFilterQuery({
    //         createdAt: {
    //             $gte: startOfMonth.toDate(),
    //             $lte: endOfMonth.toDate(),
    //         },
    //         userType: 'agent'
    //     });

    //     monthWiseAgentCount.push({
    //         year: currentYear,
    //         month: startOfMonth.format('MMMM'),
    //         count,
    //     });
    // }


    const currentDate = moment();
    const startOfDay = currentDate.startOf('day');

    const InjuryContactCountByHour = [];

    for (let hour = 0; hour <= 23; hour++) {
      const startOfHour = startOfDay.clone().hour(hour);
      const endOfHour = startOfHour.clone().endOf('hour');

      const count = await this.CommonFormSubmitRepository.countDocumentsByFilterQuery({
        createdAt: {
          $gte: startOfHour.toDate(),
          $lte: endOfHour.toDate(),
        },
      });

      const formattedHour = startOfHour.format('h:mm A');
      InjuryContactCountByHour.push({
        time: formattedHour,
        count,
      });
    }

    const data = {
      totalContact: totalContact,
      totalBlog: totalBlog,
      totalInjuryContact: totalInjuryContact,
      totalVideoTestimonial: totalVideoTestimonial,
      monthWiseInjuryContactCount: monthWiseInjuryContactCount,
      // categoryWiseInsuranceStatistics: categoryWiseInsuranceStatistics,
      // monthWiseAgentCount: monthWiseAgentCount,
      InjuryContactCountByHour: InjuryContactCountByHour,
    }

    return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
  }
}
